import { Injector } from '@angular/core';
import { HttpInterceptor, HttpRequest, HttpHandler } from '@angular/common/http';
export declare class NcApiInterceptor implements HttpInterceptor {
    private _injector;
    constructor(_injector: Injector);
    intercept(request: HttpRequest<any>, next: HttpHandler): import("rxjs").Observable<import("@angular/common/http").HttpEvent<any>>;
}
